## bcachefs-tools-vendored-1.32.1.tar.zst

=== libbcachefs/Makefile ===

ifdef BCACHEFS_DKMS
	CONFIG_BCACHEFS_FS := m
	# Enable other features here?
endif

obj-$(CONFIG_BCACHEFS_FS)	+= bcachefs.o

bcachefs-y		:=			\
	alloc/accounting.o			\
	alloc/background.o			\
	alloc/backpointers.o			\
	alloc/buckets.o				\
	alloc/buckets_waiting_for_journal.o	\
	alloc/check.o				\
	alloc/disk_groups.o			\
	alloc/foreground.o			\
	alloc/lru.o				\
	alloc/replicas.o			\
	btree/bkey.o				\
	btree/bkey_methods.o			\
	btree/bset.o				\
	btree/cache.o				\
	btree/check.o				\
	btree/commit.o				\
	btree/interior.o			\
	btree/iter.o				\
	btree/journal_overlay.o			\
	btree/key_cache.o			\
	btree/locking.o				\
	btree/node_scan.o			\
	btree/read.o				\
	btree/sort.o				\
	btree/update.o				\
	btree/write.o				\
	btree/write_buffer.o			\
	data/checksum.o				\
	data/compress.o				\
	data/copygc.o				\
	data/ec.o				\
	data/extents.o				\
	data/extents_sb.o			\
	data/extent_update.o			\
	data/io_misc.o				\
	data/keylist.o				\
	data/migrate.o				\
	data/move.o				\
	data/nocow_locking.o			\
	data/read.o				\
	data/rebalance.o			\
	data/reflink.o				\
	data/update.o				\
	data/write.o				\
	debug/async_objs.o			\
	debug/debug.o				\
	debug/sysfs.o				\
	debug/tests.o				\
	debug/trace.o				\
	errcode.o				\
	fs/acl.o				\
	fs/check.o				\
	fs/check_dir_structure.o		\
	fs/check_extents.o			\
	fs/check_nlinks.o			\
	fs/dirent.o				\
	fs/inode.o				\
	fs/logged_ops.o				\
	fs/namei.o				\
	fs/quota.o				\
	fs/str_hash.o				\
	fs/xattr.o				\
	init/chardev.o				\
	init/dev.o				\
	init/error.o				\
	init/fs.o				\
	init/progress.o				\
	init/recovery.o				\
	init/passes.o				\
	journal/init.o				\
	journal/journal.o			\
	journal/read.o				\
	journal/reclaim.o			\
	journal/sb.o				\
	journal/seq_blacklist.o			\
	journal/write.o				\
	opts.o					\
	sb/clean.o				\
	sb/counters.o				\
	sb/downgrade.o				\
	sb/errors.o				\
	sb/io.o					\
	sb/members.o				\
	snapshots/check_snapshots.o		\
	snapshots/snapshot.o			\
	snapshots/subvolume.o			\
	util/clock.o				\
	util/darray.o				\
	util/enumerated_ref.o			\
	util/eytzinger.o			\
	util/fast_list.o			\
	util/mean_and_variance.o		\
	util/printbuf.o				\
	util/rcu_pending.o			\
	util/siphash.o				\
	util/six.o				\
	util/time_stats.o			\
	util/thread_with_file.o			\
	util/two_state_shared_lock.o		\
	util/util.o				\
	util/varint.o				\
	vendor/bio_iov_iter.o			\
	vendor/closure.o			\
	vendor/min_heap.o			\
	vfs/fiemap.o				\
	vfs/fs.o				\
	vfs/ioctl.o				\
	vfs/io.o				\
	vfs/buffered.o				\
	vfs/direct.o				\
	vfs/pagecache.o	

ifndef BCACHEFS_DKMS
	obj-$(CONFIG_MEAN_AND_VARIANCE_UNIT_TEST)   += util/mean_and_variance_test.o
endif

# Silence "note: xyz changed in GCC X.X" messages
subdir-ccflags-y += $(call cc-disable-warning, psabi)

# kbuild weirdness - sometimes this gets passed automatically, other times we
# need to specify it. no idea why:
subdir-ccflags-y += -I$(src)

=== debian/control ===
Source: bcachefs-tools
Maintainer: Roman Lebedev <lebedev.ri@gmail.com>
Section: utils
Priority: optional
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               cargo:native,
               dh-cargo,
               dh-dkms,
               gcc:native,
               jq,
               libaio-dev (>= 0.3.111),
               libblkid-dev,
               libclang-dev:native,
               libfuse3-dev,
               libkeyutils-dev,
               liblz4-dev,
               libscrypt-dev,
               libsodium-dev,
               libstd-rust-dev,
               libstd-rust-dev:native,
               libudev-dev,
               liburcu-dev (>= 0.15),
               libzstd-dev,
               linux-libc-dev (>= 6.12),
               pkgconf,
               python3-docutils,
               python3:native,
               rustc:native (>= 1.77),
               systemd-dev,
               uuid-dev,
               zlib1g-dev,
Homepage: https://bcachefs.org/
Vcs-Git: git://evilpiepirate.org/bcachefs-tools.git
Vcs-Browser: https://evilpiepirate.org/git/bcachefs-tools.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: bcachefs-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Recommends: bcachefs-kernel-dkms (= ${binary:Version}),
            initramfs-tools | linux-initramfs-tool,
Breaks: bcachefs-kernel-dkms (<< ${binary:Version}),
        bcachefs-kernel-dkms (>> ${binary:Version}),
Replaces: bcachefs-kernel-dkms (<< ${binary:Version}),
          bcachefs-kernel-dkms (>> ${binary:Version}),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: bcachefs userspace tools
 Userspace tools for bcachefs, a modern copy on write, checksumming, multi
 device filesystem.
 .
 Note: The current Debian kernels do not come with bcachefs support, you
 will have to install bcachefs-kernel-dkms package or build your own kernel
 or one provided by a 3rd party that contains bcachefs support.

Package: bcachefs-kernel-dkms
Architecture: linux-any
Section: kernel
Depends: ${misc:Depends},
	 initramfs-tools | linux-initramfs-tool,
	 linux-headers-generic (>= 6.16) | pve-headers (>= 6.16) [amd64] |
	 linux-headers-amd64 (>= 6.16) [amd64] | linux-headers-cloud-amd64 (>= 6.16) [amd64] | linux-headers-rt-amd64 (>= 6.16) [amd64] |
	 linux-headers-arm64 (>= 6.16) [arm64] | linux-headers-cloud-arm64 (>= 6.16) [arm64] | linux-headers-rt-arm64 (>= 6.16) [arm64] |
	 linux-headers-ppc64el (>= 6.16) [ppc64el] | linux-headers-cloud-ppc64el (>= 6.16) [ppc64el] | linux-headers-rt-ppc64el (>= 6.16) [ppc64el]
Pre-Depends: bcachefs-tools (= ${binary:Version}),
Provides: bcachefs-kernel
Description: bcachefs kernel module DKMS source
 "The COW filesystem for Linux that won't eat your data".
 .
 Bcachefs is an advanced new filesystem for Linux, with an emphasis
 on reliability and robustness and the complete set of features
 one would expect from a modern filesystem.
 .
  * Copy on write (COW) - like zfs
  * Full data and metadata checksumming, for full data integrity:
    the filesystem should always detect (and where possible,
    recover from) damage; it should never return incorrect data.
  * Multiple devices
  * Replication
  * Erasure coding (incomplete) High performance: doesn't fragment
    your writes (like ZFS), no RAID hole
  * Caching, data placement
  * Compression
  * Encryption
  * Snapshots
  * Nocow mode
  * Reflink
  * Extended attributes, ACLs, quotas
  * Petabyte scalability
  * Full online fsck, check and repair (in progress)
  * Robustness and rock solid repair. Damage and breakage are a fact of life,
    it's not a matter of if, but when. It doesn't matter what happened
    to the filesystem: bad hardware, lightning strikes, an errant dd,
    you can expect that bcachefs will repair the damage and keep going,
    usually with no user intervention required.
 .
 It's the job of the filesystem to never lose your data:
 anything that can be repaired, will be.
